Unable to Activate 2016 Version - "Could not create SSL/TLS secure channel."

Use this forum to ask questions after your subscription maintenance expires or before you buy. Need information on licensing or pricing? Questions about a trial version? This is the right place for you. No scripting questions, please.
Forum rules
DO NOT POST SUBSCRIPTION NUMBERS, LICENSE KEYS OR ANY OTHER LICENSING INFORMATION IN THIS FORUM.
Only the original author and our tech personnel can reply to a topic that is created in this forum. If you find a topic that relates to an issue you are having, please create a new topic and reference the other in your post.
User avatar
DGangwer
Posts: 2
Last visit: Thu Jul 15, 2021 8:57 am

Unable to Activate 2016 Version - "Could not create SSL/TLS secure channel."

Post by DGangwer »

To help you better we need some information from you.

*** Please fill in the fields below. If you leave fields empty or specify 'latest' rather than the actual version your answer will be delayed as we will be forced to ask you for this information. ***

Product, version and build: Sapien PowerShell Studio, 2016, 5.2.128.0
Operating system: Windows 10 - 20H2
PowerShell version(s): 5.1.19041.1023
32-bit version of software? No

*** Please add details and screenshots as needed below. ***
I am trying to install my expired but paid for version of 2016 PowerShell Studio after a year or two and am having no luck on multiple machines, both domain joined and my home PC. Always the same thing. I receive the following:
Sapien-Activate-Error.PNG
Sapien-Activate-Error.PNG (80.24 KiB) Viewed 1240 times


I found some older threads and even one from last year where the "solution" was to ensure the root cert used by Sapien (Bitlocker in this case) was in my Trusted Root Authorities. It is and has been. No go. I have changed the SSL/TLS settings using ISSCrypto thinking perhaps older software, needs some of the older secure channel protocols. No go. I also noticed that one of the three machines fails to even install due to the cab files in the installer having an expired digital cert (2018). I have changed settings on the system to ignore "bad or expired certs" (just for the install, reverted when it failed) and no go. I verified that firewall is not blocking it, all Sapien executables have full access to the internet and the logs show no blocks or drops.

As mentioned, this same error occurs on 3 out of 3 machines two domain joined one not. Two of the systems are 20H2 and one is 1809 (Windows 10).

As you know with an expired key I am not eligible for off line activation so I am sitting with a lifetime purchase that has for all intents and purposes, expired.

Any help would be greatly appreciated.

User avatar
DGangwer
Posts: 2
Last visit: Thu Jul 15, 2021 8:57 am

Re: Unable to Activate 2016 Version - "Could not create SSL/TLS secure channel."

Post by DGangwer »

Ok, so of course I went ahead and tried to activate Primal Script 2016 and that worked which as a consequence licensed my PowerShell Studio. I will try it for my second activation on my domain joined laptop. Seems really strange since I would assume (but assumptions and all) they use the same process to register but..it worked so here we are.

User avatar
Alexander Riedel
Posts: 7714
Last visit: Fri Jul 23, 2021 9:06 am
Answers: 4
Been upvoted: 10 times

Re: Unable to Activate 2016 Version - "Could not create SSL/TLS secure channel."

Post by Alexander Riedel »

PrimalScript is C++ and uses the Windows API to communicate with the activation server. PowerShell Studio uses the .NET framework which plays by a different rule book.
The error likely stems from old versions using TLS 1.0 or TLS 1.1.
I am glad you were able to activate, but please remember that we cannot guarantee any specific software version will work on future OS versions, using future communication protocols and security measures.
Alexander Riedel
SAPIEN Technologies, Inc.